Bug 58950 - hooks to run additional program(s) after filesystems have been unmounted
hooks to run additional program(s) after filesystems have been unmounted
Status: CLOSED DEFERRED
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
7.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-28 09:51 EST by RLX Technologies
Modified: 2014-03-16 22:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-19 23:20:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description RLX Technologies 2002-01-28 09:51:23 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.7) Gecko/20020104

Description of problem:
This is a feature request to exted the /etc/init.d/halt script to provide a
mechanism to run additional programs after the umount -a but before the halt.

Our specific need is to turn off the LED's on our hardware at the last possible
moment to indicate that it is safe to power off the server.
Comment 1 Bill Nottingham 2002-01-29 13:02:37 EST
Hm.

Probably the cleanest way to do this is to have an rcH.d, or something similar.
Comment 2 Brent Fox 2002-01-29 13:07:27 EST
notting, any idea how much time/work that would take?
Comment 3 Bill Nottingham 2002-01-29 14:41:22 EST
It depends.

Splitting up rc.sysinit and halt in to rcS.d & rcH.d, and adding the appropriate
chkconfig/serviceconf/etc. support is probably a good week or two of work.

Adding a somewhat hackish:

[ -x /sbin/halt-local ] && /sbin/halt-local

in /etc/init.d/halt is trivial. ;)
Comment 4 Bill Nottingham 2005-04-19 23:20:20 EDT
Closing bugs on older, no longer supported releases. Apologies for any lack of
response.

Note You need to log in before you can comment on or make changes to this bug.